Bug 872799 - net: WARN if struct ip_options was allocated directly by kmalloc [rhel-6.4]
Summary: net: WARN if struct ip_options was allocated directly by kmalloc [rhel-6.4]
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: kernel
Version: 6.4
Hardware: Unspecified
OS: Unspecified
urgent
high
Target Milestone: rc
: ---
Assignee: Jiri Pirko
QA Contact: Network QE
URL:
Whiteboard:
Depends On: 829109
Blocks: 877950
TreeView+ depends on / blocked
 
Reported: 2012-11-03 09:46 UTC by Jiri Pirko
Modified: 2015-05-05 01:23 UTC (History)
8 users (show)

Fixed In Version: kernel-2.6.32-339.el6
Doc Type: Bug Fix
Doc Text:
The INET socket interface has been modified to send a warning message when the ip_options structure is allocated directly by a third-party module using the kmalloc() function.
Clone Of: 872612
Environment:
Last Closed: 2013-02-21 06:55:12 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2013:0496 normal SHIPPED_LIVE Important: Red Hat Enterprise Linux 6 kernel update 2013-02-20 21:40:54 UTC

Description Jiri Pirko 2012-11-03 09:46:03 UTC
In case struct ip_options is allocated directly by kmalloc by a 3rd
party module, warn about this situation in get_ip_options_rcu().

Comment 2 RHEL Product and Program Management 2012-11-04 10:40:54 UTC
This request was evaluated by Red Hat Product Management for
inclusion in a Red Hat Enterprise Linux release.  Product
Management has requested further review of this request by
Red Hat Engineering, for potential inclusion in a Red Hat
Enterprise Linux release for currently deployed products.
This request is not yet committed for inclusion in a release.

Comment 3 Jarod Wilson 2012-11-06 21:19:57 UTC
Patch(es) available on kernel-2.6.32-339.el6

Comment 12 errata-xmlrpc 2013-02-21 06:55:12 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHSA-2013-0496.html


Note You need to log in before you can comment on or make changes to this bug.